# Delete asset share

Deletes the share for a specified asset.

Endpoint: DELETE /shares/{shareId}
Version: 2.0.0
Security: APIToken, OAuth2

## Header parameters:

  - `Authorization` (string)
    API Access Token used to authenticate requests to Smartsheet APIs.

## Path parameters:

  - `shareId` (string, required)
    The unique identifier for the share.

## Query parameters:

  - `assetType` (string, required)
    The type of the asset. Used in combination with assetId to determine the asset.
    Enum: "sheet", "report", "sight", "workspace", "collection", "file"

  - `assetId` (string, required)
    The ID of the asset being accessed. It's used in combination with assetType to determine the asset.

Depending on the asset, this may be a numeric or string value.
    Example: "1234567890"

## Response 200 fields (application/json):

  - `message` (string)
    Message that indicates the request was successful.
    Enum: "SUCCESS"

  - `resultCode` (number)
    * '0' Success
    Enum: 0

## Response 400 fields (application/json):

  - `refId` (string)
    The ID of the specific error occurrence. Please include this information when contacting Smartsheet support.

  - `errorCode` (number)
    Custom error code from Smartsheet. See the complete [Error Code List](/api/smartsheet/error-codes).

  - `message` (string)
    Descriptive error message.

## Response default fields (application/json):

  - `refId` (string)
    The ID of the specific error occurrence. Please include this information when contacting Smartsheet support.

  - `errorCode` (number)
    Custom error code from Smartsheet. See the complete [Error Code List](/api/smartsheet/error-codes).

  - `message` (string)
    Descriptive error message.


